Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class JCAResource

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.management.j2ee.J2EEManagedObject
                  org.jboss.management.j2ee.J2EEResource
                      org.jboss.management.j2ee.JCAResource

All Implemented Interfaces:
  J2EEManagedObjectMBean, J2EEResourceMBean, JCAResourceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean, StatisticsProvider

public class JCAResource
extends J2EEResource
implements JCAResourceMBean

The JBoss JSR-77.3.22 JCAResource model implementation

Version:
  $Revision: 1.13.6.1 $
Author:
  Scott McLaughlin., Scott.Stark@jboss.org, thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.management.j2ee.J2EEManagedObject
`NAME, TYPE`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JCAResource(String resName, javax.management.ObjectName jsr77ParentName, javax.management.ObjectName cmServiceName, javax.management.ObjectName poolServiceName)`

Method Summary
`void` | `addChild(javax.management.ObjectName pChild)`
`static javax.management.ObjectName` | `create(javax.management.MBeanServer mbeanServer, String resName, javax.management.ObjectName jsr77RAParentName, javax.management.ObjectName cmServiceName, javax.management.ObjectName mcfServiceName, javax.management.ObjectName poolServiceName)` Create a JCAResource
`static void` | `destroy(javax.management.MBeanServer mbeanServer, String resName)`
`String[]` | `getconnectionFactories()`
`String` | `getconnectionFactory(int i)`
`protected Hashtable` | `getParentKeys(javax.management.ObjectName parentName)` Extract the name attribute from parent and return J2EEServer=name
`javax.management.j2ee.statistics.Stats` | `getstats()` Obtain the Stats from the StatisticsProvider.
`void` | `removeChild(javax.management.ObjectName pChild)`
`void` | `resetStats()` Reset all statistics in the StatisticsProvider
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.J2EEManagedObject
`getobjectName, getObjectName, getObjectName, getparent, getType, getType, iseventProvider, isstateManageable, isstatisticsProvider, newObjectName, postCreation, postRegister, preDeregister, preDestruction, removeObject, removeObject, sendNotification, setparent`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### JCAResource

    public JCAResource(String resName,
                       javax.management.ObjectName jsr77ParentName,
                       javax.management.ObjectName cmServiceName,
                       javax.management.ObjectName poolServiceName)
                throws javax.management.MalformedObjectNameException,
                       InvalidParentException

Parameters:
  `resName` -
  `jsr77ParentName` -
  `cmServiceName` -
  `poolServiceName` -
Throws:
  `javax.management.MalformedObjectNameException`
  `InvalidParentException`

Method Detail

### create

    public static javax.management.ObjectName create(javax.management.MBeanServer mbeanServer,
                                                     String resName,
                                                     javax.management.ObjectName jsr77RAParentName,
                                                     javax.management.ObjectName cmServiceName,
                                                     javax.management.ObjectName mcfServiceName,
                                                     javax.management.ObjectName poolServiceName)

  Create a JCAResource

  Parameters:
    `mbeanServer` -
    `resName` -
    `jsr77RAParentName` -
    `cmServiceName` -
    `mcfServiceName` -
    `poolServiceName` -
  Returns:

### destroy

    public static void destroy(javax.management.MBeanServer mbeanServer,
                               String resName)

### getconnectionFactories

    public String[] getconnectionFactories()

  Specified by:
    `getconnectionFactories` in interface `JCAResourceMBean`

### getconnectionFactory

    public String getconnectionFactory(int i)

  Specified by:
    `getconnectionFactory` in interface `JCAResourceMBean`

### addChild

    public void addChild(javax.management.ObjectName pChild)

  Specified by:
    `addChild` in interface `JCAResourceMBean`
  Overrides:
    `addChild` in class `J2EEManagedObject`

### removeChild

    public void removeChild(javax.management.ObjectName pChild)

  Specified by:
    `removeChild` in interface `JCAResourceMBean`
  Overrides:
    `removeChild` in class `J2EEManagedObject`

### getstats

    public javax.management.j2ee.statistics.Stats getstats()

  Obtain the Stats from the StatisticsProvider.

  Specified by:
    `getstats` in interface `JCAResourceMBean`
  Returns:
    An JCAStats implementation

### resetStats

    public void resetStats()

  Reset all statistics in the StatisticsProvider

  Specified by:
    `resetStats` in interface `JCAResourceMBean`

### toString

    public String toString()

  Overrides:
    `toString` in class `J2EEManagedObject`

### getParentKeys

    protected Hashtable getParentKeys(javax.management.ObjectName parentName)

  Description copied from class: `J2EEResource`
  Extract the name attribute from parent and return J2EEServer=name

  Overrides:
    `getParentKeys` in class `J2EEResource`
  Parameters:
    `parentName` - , the
  Returns:
    A hashtable with the J2EEServer and ResourceAdapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.